%define _without_test 1
%set_perl_req_method relaxed
%filter_from_provides /^perl(Apache.Constants.pm)/d
# BEGIN SourceDeps(oneline):
BuildRequires: perl(APR/Pool.pm) perl(Apache2/Log.pm) perl(Apache2/RequestRec.pm) perl(Apache2/RequestUtil.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(FileHandle.pm) perl(Module/Signature.pm) perl(Socket.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(base.pm) perl(mod_perl2.pm)
# END SourceDeps(oneline)
%define module_version 0.10
%define module_name Apache-Profiler
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.10
Release: alt2
Summary: profiles time seconds needed for every request
Group: Development/Perl
License: perl
URL: http://github.com/mschout/apache-profiler/downloads

Source0: http://cpan.org.ua/authors/id/M/MS/MSCHOUT/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Apache::Profiler is a mod_perl init (and cleanup) handler to profile
time taken to process one request. Profiled data is reported to the
Apache Log file. It'd be useful to profile some heavy application
taking a long time to proceed.

Apache::Profiler is for `mod_perl' version 1.x.  If you have `mod_perl'
version 2.0 or later, you need Apache2::Profiler, which  is included in this
distribution, instead.

It uses the Time::HiRes manpage to take milliseconds, and outputs profiled data
as Apache log `notice' level like:

  [Tue Oct  7 20:52:53 2003] [notice] [client 127.0.0.1] uri: /test.html takes 0.0648910999298096 seconds
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/A*

%changelog
* Tue Jan 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.10-alt2
- rebuild w/o Apache1 support

* Wed May 28 2014 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- initial import by package builder

